=== added file 'ToyKeeper/uv/flash-noinit.sh'
--- ToyKeeper/uv/flash-noinit.sh	1970-01-01 00:00:00 +0000
+++ ToyKeeper/uv/flash-noinit.sh	2015-03-18 03:20:48 +0000
@@ -0,0 +1,3 @@
+#/bin/sh
+FIRMWARE=$1
+avrdude -c usbasp -p t13 -u -Uflash:w:$FIRMWARE -Ulfuse:w:0x75:m -Uhfuse:w:0xfd:m

=== modified file 'ToyKeeper/uv/uv.c'
--- ToyKeeper/uv/uv.c	2015-03-18 02:41:51 +0000
+++ ToyKeeper/uv/uv.c	2015-03-18 03:20:48 +0000
@@ -69,29 +69,23 @@
 
 // Lumen measurements used a Nichia 219B at 1900mA in a Convoy S7 host
 #define MODE_MOON           6       // 6: 0.14 lm (6 through 9 may be useful levels)
-#define MODE_LOW            14      // 14: 7.3 lm
-#define MODE_MED            39      // 39: 42 lm
-#define MODE_HIGH           120     // 120: 155 lm
+#define MODE_LOW            30      // 14: 7.3 lm
+#define MODE_MED            120     // 120: 155 lm
 #define MODE_HIGHER         255     // 255: 342 lm
 // If you change these, you'll probably want to change the "modes" array below
-#define SOLID_MODES         5       // How many non-blinky modes will we have?
-#define DUAL_BEACON_MODES   5+3     // How many beacon modes will we have (with background light on)?
-#define SINGLE_BEACON_MODES 5+3+1   // How many beacon modes will we have (without background light on)?
-#define FIXED_STROBE_MODES  5+3+1+3 // How many constant-speed strobe modes?
-#define VARIABLE_STROBE_MODES 5+3+1+3+2 // How many variable-speed strobe modes?
-#define BATT_CHECK_MODE     5+3+1+3+2+1 // battery check mode index
+#define SOLID_MODES         4       // How many non-blinky modes will we have?
+#define SINGLE_BEACON_MODES 4+1   // How many beacon modes will we have (without background light on)?
+#define FIXED_STROBE_MODES  4+1+3 // How many constant-speed strobe modes?
+#define BATT_CHECK_MODE     4+1+3+1 // battery check mode index
 // Note: don't use more than 32 modes, or it will interfere with the mechanism used for mode memory
 #define TOTAL_MODES         BATT_CHECK_MODE
 
-//#define ADC_LOW             130     // When do we start ramping
-//#define ADC_CRIT            120     // When do we shut the light off
-
-#define ADC_42          185 // the ADC value we expect for 4.20 volts
-#define ADC_100         185 // the ADC value for 100% full (4.2V resting)
+#define ADC_42          184 // the ADC value we expect for 4.20 volts
+#define ADC_100         184 // the ADC value for 100% full (4.2V resting)
 #define ADC_75          175 // the ADC value for 75% full (4.0V resting)
-#define ADC_50          164 // the ADC value for 50% full (3.8V resting)
-#define ADC_25          154 // the ADC value for 25% full (3.6V resting)
-#define ADC_0           139 // the ADC value for 0% full (3.3V resting)
+#define ADC_50          166 // the ADC value for 50% full (3.8V resting)
+#define ADC_25          152 // the ADC value for 25% full (3.5V resting)
+#define ADC_0           129 // the ADC value for 0% full (3.0V resting)
 #define ADC_LOW         123 // When do we start ramping down
 #define ADC_CRIT        113 // When do we shut the light off
 
@@ -151,11 +145,9 @@
 
 // Modes (hardcoded to save space)
 static uint8_t modes[TOTAL_MODES] = { // high enough to handle all
-    MODE_MOON, MODE_LOW, MODE_MED, MODE_HIGH, MODE_HIGHER, // regular solid modes
-    MODE_MOON, MODE_LOW, MODE_MED, // dual beacon modes (this level and this level + 2)
+    MODE_MOON, MODE_LOW, MODE_MED, MODE_HIGHER, // regular solid modes
     MODE_HIGHER, // heartbeat beacon
-    79, 41, 15, // constant-speed strobe modes (12.5 Hz, 24 Hz, 60 Hz)
-    MODE_HIGHER, MODE_HIGHER, // variable-speed strobe modes
+    240, 90, 31, // constant-speed strobe modes (4 Hz, 10 Hz, 24 Hz)
     MODE_MED, // battery check mode
 };
 volatile uint8_t mode_idx = 0;
@@ -243,7 +235,6 @@
     PWM_LVL = modes[mode_idx];
 
     uint8_t i = 0;
-    uint8_t j = 0;
     uint8_t strobe_len = 0;
 #ifdef VOLTAGE_MON
     uint8_t lowbatt_cnt = 0;
@@ -252,50 +243,21 @@
     while(1) {
         if(mode_idx < SOLID_MODES) { // Just stay on at a given brightness
             sleep_mode();
-        } else if (mode_idx < DUAL_BEACON_MODES) { // two-level fast strobe pulse at about 1 Hz
-            for(i=0; i<4; i++) {
-                PWM_LVL = modes[mode_idx-SOLID_MODES+2];
-                _delay_ms(5);
-                PWM_LVL = modes[mode_idx];
-                _delay_ms(65);
-            }
-            _delay_ms(720);
         } else if (mode_idx < SINGLE_BEACON_MODES) { // heartbeat flasher
             PWM_LVL = modes[SOLID_MODES-1];
-            _delay_ms(1);
+            _delay_ms(10);
             PWM_LVL = 0;
-            _delay_ms(249);
+            _delay_ms(240);
             PWM_LVL = modes[SOLID_MODES-1];
-            _delay_ms(1);
+            _delay_ms(10);
             PWM_LVL = 0;
-            _delay_ms(749);
+            _delay_ms(740);
         } else if (mode_idx < FIXED_STROBE_MODES) { // strobe mode, fixed-speed
-            strobe_len = 1;
-            if (modes[mode_idx] < 50) { strobe_len = 0; }
+            strobe_len = 10;
             PWM_LVL = modes[SOLID_MODES-1];
             _delay_ms(strobe_len);
             PWM_LVL = 0;
             _delay_ms(modes[mode_idx]);
-        } else if (mode_idx == VARIABLE_STROBE_MODES-2) {
-            // strobe mode, smoothly oscillating frequency ~7 Hz to ~18 Hz
-            for(j=0; j<66; j++) {
-                PWM_LVL = modes[SOLID_MODES-1];
-                _delay_ms(1);
-                PWM_LVL = 0;
-                if (j<33) { strobe_len = j; }
-                else { strobe_len = 66-j; }
-                _delay_ms(2*(strobe_len+33-6));
-            }
-        } else if (mode_idx == VARIABLE_STROBE_MODES-1) {
-            // strobe mode, smoothly oscillating frequency ~16 Hz to ~100 Hz
-            for(j=0; j<100; j++) {
-                PWM_LVL = modes[SOLID_MODES-1];
-                _delay_ms(0); // less than a millisecond
-                PWM_LVL = 0;
-                if (j<50) { strobe_len = j; }
-                else { strobe_len = 100-j; }
-                _delay_ms(strobe_len+9);
-            }
         } else if (mode_idx < BATT_CHECK_MODE) {
             uint8_t blinks = 0;
             // turn off and wait one second before showing the value

=== added file 'ToyKeeper/uv/uv.hex'
--- ToyKeeper/uv/uv.hex	1970-01-01 00:00:00 +0000
+++ ToyKeeper/uv/uv.hex	2015-03-18 03:20:48 +0000
@@ -0,0 +1,34 @@
+:100000000CC024C023C022C021C020C01FC01EC0FD
+:100010001DC01CC08198A6AFB80011241FBECFE937
+:10002000CDBF10E0A0E6B0E0E0E0F2E002C0059055
+:100030000D92AA36B107D9F710E0AAE6B0E001C0E8
+:100040001D92AB36B107E1F724D0D8C0D9CF2AE74B
+:1000500033E003C0F9013197F1F70197D8F708951C
+:1000600080916A008F5F80936A0080916A00893076
+:1000700010F010926A00089581E687B9A29A86EC82
+:1000800086B9089537980895369A3699FECF85B186
+:10009000089582E087BB83E28FBD81E083BFECDF00
+:1000A000479A85B7877E85BF80916C00882329F0A9
+:1000B00010926B0010926A0009C080916B008093CF
+:1000C0006A00CEDF80916A0080936B0010926C0012
+:1000D000E0916A00F0E0E05AFF4F808189BD10E0B6
+:1000E00088E7F82E0FEFCCE2D1E080916A008430EF
+:1000F00040F485B7806285BF889585B78F7D85BFC1
+:1001000051C080916A00853080F409BD8AE090E09A
+:100110009EDF19BC80EF90E09ADF09BD8AE090E095
+:1001200096DF19BC84EE92E03CC080916A00883072
+:1001300098F409BD8AE090E08ADF19BCE0916A007A
+:10014000F0E0E05AFF4F808190E0009709F029C06D
+:10015000CE010197F1F726C080916A00893010F531
+:1001600019BC88EE93E073DF8FDF8EDFE4E1F0E00F
+:10017000E12C9491981708F4E394319690E0E931DA
+:10018000F907B9F7D12C09C0F9BC84E690E05FDF2C
+:1001900019BC80E991E05BDFD394DE10F5CF88EEE7
+:1001A00093E055DF349BA1CF6FDF90E020916A0090
+:1001B000211103C021E730E002C02BE730E08217B5
+:1001C0009307CCF41F5F1330B8F080916A00882346
+:1001D00019F010926A000CC019BC85B7877E806147
+:1001E00085BF85B7806285BF889585B78F7D85BFC0
+:1001F00088EE93E02CDF10E0369A77CFF894FFCFAB
+:0A020000061E78FFFFF05A1F780079
+:00000001FF

